<?php
	class control{
		//控件id
		public $id;

		//公開屬性：控件標籤前綴
		public $tagPrefix = "php";

		//公開屬性：控件標籤名
		public $tagName = "control";

		//控件模版內容
		public $template;

		//客戶端內容
		private $clientText;

		public function control(){
		}
		public function getContent(){
			return $this->clientText;
		}
		public function render(){
			echo $this->clientText;
		}

		public function load(){
		}

		public function loadTemplateFile($fileName){
			if(file_exists($fileName)){
				$handler = fopen($fileName,"rb");
				$this->template = fread($handler,filesize($fileName));
				fclose($handler);
			}
		}
	}
?>